Subject: bug#35308: closed (Re: GDM refuses to log into Gnome on Debian 9 or 10)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 01 Mar 2025 17:27:03 +0000

Your bug report

#35308: GDM refuses to log into Gnome on Debian 9 or 10

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
35308: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=35308
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: GDM refuses to log into Gnome on Debian 9 or 10
From: Nicolas Goaziou <[email-masked]>
To: [email-masked]
Date: Sat, 01 Mar 2025 18:26:19 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Closing this as I haven’t been able to reproduce the problem during the
last couple of years.

Subject: GDM refuses to log into Gnome on Debian 9 or 10
From: Nicolas Goaziou <[email-masked]>
To: [email-masked]
Date: Wed, 17 Apr 2019 20:16:20 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

I use Guix on top of Debian, with Gnome DE. Once I'm at GDM screen and
I log in successfully, nothing happens, and I'm back to GDM screen. The
only workaround I found is to add the following lines in my .profile:

    unset GI_TYPELIB_PATH
    unset XDG_DATA_DIRS

Then I can get past GDM. The fix doesn't work if i omit either line. It
doesn't make a difference if I use standard Gnome, or Gnome Wayland. It
doesn't make a difference if I use Debian Testing instead of Stable.

This is not a great fix because applications installed through Guix do
not appear in the Applications menu.

I wasn't able to get any error message to chew on. 

Help is welcome.

Regards,

-- 
Nicolas Goaziou